RHEL 6:microcode_ctl(RHSA-2018: 0039)(Spectre)

medium Nessus プラグイン ID 105609
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

microcode_ctlの更新プログラムが、Red Hat Enterprise Linux 6.2 Advanced Update Supportで利用可能になりました。

Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度高と評価しています。詳細な重要度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。

microcode_ctlパッケージには、IntelおよびAMDプロセッサー用のマイクロコード更新プログラムが含まれています。

セキュリティ修正プログラム:

* 最新のマイクロプロセッサー設計の多くで、命令の投機的実行(広く使用されているパフォーマンスの最適化)の実装方法に、業界レベルの問題が発見されました。投機的実行の悪用の方法には、3つの主要なバリエーションがあります。バリアントCVE-2017-5715は、分岐ターゲットインジェクションを利用して投機的実行をトリガーします。これは、特権コード内の正確に定義された命令シーケンスの存在と、実際には決してコミットしない(破棄される)投機的実行の命令に対してもメモリアクセスがマイクロプロセッサーのデータキャッシュへの割り当てを引き起こす可能性があるという事実に依拠します。その結果、権限のない攻撃者がこの欠陥を利用してsyscallとゲスト/ホストの境界を越え、標的のキャッシュのサイドチャンネル攻撃を実行して特権メモリを読み取る可能性があります。(CVE-2017-5715)

注: これは、CVE-2017-5715カーネル緩和策のマイクロコードに相当します。

Red Hatは、この問題を報告してくれたGoogle Project Zeroに感謝の意を表します。

ソリューション

影響を受けるmicrocode_ctl、microcode_ctl-debuginfoパッケージを更新してください。

関連情報

http://www.nessus.org/u?892ef523

https://access.redhat.com/security/cve/cve-2017-5715

https://access.redhat.com/errata/RHSA-2018:0039

プラグインの詳細

深刻度: Medium

ID: 105609

ファイル名: redhat-RHSA-2018-0039.nasl

バージョン: 3.16

タイプ: local

エージェント: unix

公開日: 2018/1/5

更新日: 2021/4/15

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: High

スコア: 7.9

CVSS v2

リスクファクター: Low

Base Score: 1.9

Temporal Score: 1.7

ベクトル: AV:L/AC:M/Au:N/C:P/I:N/A:N

現状ベクトル: E:H/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 5.6

Temporal Score: 5.4

ベクトル: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

現状ベクトル: E:H/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:microcode_ctl, p-cpe:/a:redhat:enterprise_linux:microcode_ctl-debuginfo, cpe:/o:redhat:enterprise_linux:6.2

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2018/1/4

脆弱性公開日: 2018/1/4

参照情報

CVE: CVE-2017-5715

RHSA: 2018:0039

IAVA: 2018-A-0017, 2018-A-0020